Create New Finance Offer
1 min
POST
https://api.upstartcommerce.com/v1/finance-offers
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe structure of a request to create a new finance offer.
201<p>Success-finance offer created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/finance-offers \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"currency": "USD",
"description": "In accepting this offer you receive 6 months interest free when you spend over $1,000. After 6 months....",
"downPayment": {
"amount": 500
},
"enabled": false,
"financeOfferType": "",
"internalName": "6mos Free interest +$1000",
"minimumPurchaseAmount": 1000,
"name": "Get 6 months free interest when you finance $1000 or more",
"promotionalPeriodMonths": 12,
"provider": "",
"providerFinanceOfferId": "",
"sortOrder": 1,
"tiers": [],
"promotionalFee": 0
}'